com.genesyslab.wfm8.API.service.calendar800

## Class CalTimeOffConfiguration

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar800.CalTimeOffConfiguration

- All Implemented Interfaces:
    java.io.Serializable

      public class CalTimeOffConfiguration
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `accrualPeriod` Accrual period type: hourly/daily/weekly/monthly/yearly
    `protected int` | `accrualPeriodsNumber` Number of accrual periods
    `protected int` | `accrualStartPeriod` Start period type weeks/months
    `protected int` | `accrualStartPeriodsNumber` Start period number
    `protected double` | `accrueHours` Number of hours accrued per accrual period
    `protected double` | `advanceHours` Advance (credit) hours
    `protected int` | `agentID` Agent ID
    `protected boolean` | `autoGrant` Auto-grant feature on/off
    `protected double` | `bonusHours` Bonus hours
    `protected double` | `carryOverDay` Carry-over day (each year)
    `protected double` | `maxBalanceHours` Maximum number of hours balance can reached
    `protected double` | `maxCarriedOverHours` Maximum balance hours can be carried to next period
    `protected int` | `minPeriodsNumberForGrant` Minimum number of weeks for auto-grant
    `private static long` | `serialVersionUID`
    `protected boolean` | `startAccrualFromHiring` Accrual starts from hiring date indicator
    `protected double` | `timeOffDayHours` Number of hours in Time Off day
    `protected int` | `timeOffTypeID` Time Off type ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalTimeOffConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getAccrualPeriod()` Gets the accrualPeriod value for this CalTimeOffConfiguration.
    `int` | `getAccrualPeriodsNumber()` Gets the accrualPeriodsNumber value for this CalTimeOffConfiguration.
    `int` | `getAccrualStartPeriod()` Gets the accrualStartPeriod value for this CalTimeOffConfiguration.
    `int` | `getAccrualStartPeriodsNumber()` Gets the accrualStartPeriodsNumber value for this CalTimeOffConfiguration.
    `double` | `getAccrueHours()` Gets the accrueHours value for this CalTimeOffConfiguration.
    `double` | `getAdvanceHours()` Gets the advanceHours value for this CalTimeOffConfiguration.
    `int` | `getAgentID()` Gets the agentID value for this CalTimeOffConfiguration.
    `double` | `getBonusHours()` Gets the bonusHours value for this CalTimeOffConfiguration.
    `double` | `getCarryOverDay()` Gets the carryOverDay value for this CalTimeOffConfiguration.
    `double` | `getMaxBalanceHours()` Gets the maxBalanceHours value for this CalTimeOffConfiguration.
    `double` | `getMaxCarriedOverHours()` Gets the maxCarriedOverHours value for this CalTimeOffConfiguration.
    `int` | `getMinPeriodsNumberForGrant()` Gets the minPeriodsNumberForGrant value for this CalTimeOffConfiguration.
    `double` | `getTimeOffDayHours()` Gets the timeOffDayHours value for this CalTimeOffConfiguration.
    `int` | `getTimeOffTypeID()` Gets the timeOffTypeID value for this CalTimeOffConfiguration.
    `int` | `hashCode()`
    `boolean` | `isAutoGrant()` Gets the autoGrant value for this CalTimeOffConfiguration.
    `boolean` | `isStartAccrualFromHiring()` Gets the startAccrualFromHiring value for this CalTimeOffConfiguration.
    `void` | `setAccrualPeriod(int accrualPeriod)` Sets the accrualPeriod value for this CalTimeOffConfiguration.
    `void` | `setAccrualPeriodsNumber(int accrualPeriodsNumber)` Sets the accrualPeriodsNumber value for this CalTimeOffConfiguration.
    `void` | `setAccrualStartPeriod(int accrualStartPeriod)` Sets the accrualStartPeriod value for this CalTimeOffConfiguration.
    `void` | `setAccrualStartPeriodsNumber(int accrualStartPeriodsNumber)` Sets the accrualStartPeriodsNumber value for this CalTimeOffConfiguration.
    `void` | `setAccrueHours(double accrueHours)` Sets the accrueHours value for this CalTimeOffConfiguration.
    `void` | `setAdvanceHours(double advanceHours)` Sets the advanceHours value for this CalTimeOffConfiguration.
    `void` | `setAgentID(int agentID)` Sets the agentID value for this CalTimeOffConfiguration.
    `void` | `setAutoGrant(boolean autoGrant)` Sets the autoGrant value for this CalTimeOffConfiguration.
    `void` | `setBonusHours(double bonusHours)` Sets the bonusHours value for this CalTimeOffConfiguration.
    `void` | `setCarryOverDay(double carryOverDay)` Sets the carryOverDay value for this CalTimeOffConfiguration.
    `void` | `setMaxBalanceHours(double maxBalanceHours)` Sets the maxBalanceHours value for this CalTimeOffConfiguration.
    `void` | `setMaxCarriedOverHours(double maxCarriedOverHours)` Sets the maxCarriedOverHours value for this CalTimeOffConfiguration.
    `void` | `setMinPeriodsNumberForGrant(int minPeriodsNumberForGrant)` Sets the minPeriodsNumberForGrant value for this CalTimeOffConfiguration.
    `void` | `setStartAccrualFromHiring(boolean startAccrualFromHiring)` Sets the startAccrualFromHiring value for this CalTimeOffConfiguration.
    `void` | `setTimeOffDayHours(double timeOffDayHours)` Sets the timeOffDayHours value for this CalTimeOffConfiguration.
    `void` | `setTimeOffTypeID(int timeOffTypeID)` Sets the timeOffTypeID value for this CalTimeOffConfiguration.
    `java.lang.String` | `toString()`
    `CalTimeOffConfiguration` | `withAccrualPeriod(int value)`
    `CalTimeOffConfiguration` | `withAccrualPeriodsNumber(int value)`
    `CalTimeOffConfiguration` | `withAccrualStartPeriod(int value)`
    `CalTimeOffConfiguration` | `withAccrualStartPeriodsNumber(int value)`
    `CalTimeOffConfiguration` | `withAccrueHours(double value)`
    `CalTimeOffConfiguration` | `withAdvanceHours(double value)`
    `CalTimeOffConfiguration` | `withAgentID(int value)`
    `CalTimeOffConfiguration` | `withAutoGrant(boolean value)`
    `CalTimeOffConfiguration` | `withBonusHours(double value)`
    `CalTimeOffConfiguration` | `withCarryOverDay(double value)`
    `CalTimeOffConfiguration` | `withMaxBalanceHours(double value)`
    `CalTimeOffConfiguration` | `withMaxCarriedOverHours(double value)`
    `CalTimeOffConfiguration` | `withMinPeriodsNumberForGrant(int value)`
    `CalTimeOffConfiguration` | `withStartAccrualFromHiring(boolean value)`
    `CalTimeOffConfiguration` | `withTimeOffDayHours(double value)`
    `CalTimeOffConfiguration` | `withTimeOffTypeID(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### agentID

          protected int agentID

      Agent ID

    - #### timeOffTypeID

          protected int timeOffTypeID

      Time Off type ID

    - #### accrueHours

          protected double accrueHours

      Number of hours accrued per accrual period

    - #### accrualPeriod

          protected int accrualPeriod

      Accrual period type: hourly/daily/weekly/monthly/yearly

    - #### accrualPeriodsNumber

          protected int accrualPeriodsNumber

      Number of accrual periods

    - #### accrualStartPeriod

          protected int accrualStartPeriod

      Start period type weeks/months

    - #### accrualStartPeriodsNumber

          protected int accrualStartPeriodsNumber

      Start period number

    - #### startAccrualFromHiring

          protected boolean startAccrualFromHiring

      Accrual starts from hiring date indicator

    - #### maxCarriedOverHours

          protected double maxCarriedOverHours

      Maximum balance hours can be carried to next period

    - #### advanceHours

          protected double advanceHours

      Advance (credit) hours

    - #### bonusHours

          protected double bonusHours

      Bonus hours

    - #### timeOffDayHours

          protected double timeOffDayHours

      Number of hours in Time Off day

    - #### maxBalanceHours

          protected double maxBalanceHours

      Maximum number of hours balance can reached

    - #### autoGrant

          protected boolean autoGrant

      Auto-grant feature on/off

    - #### minPeriodsNumberForGrant

          protected int minPeriodsNumberForGrant

      Minimum number of weeks for auto-grant

    - #### carryOverDay

          protected double carryOverDay

      Carry-over day (each year)

  - ### Constructor Detail

    - #### CalTimeOffConfiguration

          public CalTimeOffConfiguration()

  - ### Method Detail

    - #### getAgentID

          public int getAgentID()

      Gets the agentID value for this CalTimeOffConfiguration.
      Returns:
        agentID

    - #### setAgentID

          public void setAgentID(int agentID)

      Sets the agentID value for this CalTimeOffConfiguration.
      Parameters:
        `agentID` -

    - #### getTimeOffTypeID

          public int getTimeOffTypeID()

      Gets the timeOffTypeID value for this CalTimeOffConfiguration.
      Returns:
        timeOffTypeID

    - #### setTimeOffTypeID

          public void setTimeOffTypeID(int timeOffTypeID)

      Sets the timeOffTypeID value for this CalTimeOffConfiguration.
      Parameters:
        `timeOffTypeID` -

    - #### getAccrueHours

          public double getAccrueHours()

      Gets the accrueHours value for this CalTimeOffConfiguration.
      Returns:
        accrueHours

    - #### setAccrueHours

          public void setAccrueHours(double accrueHours)

      Sets the accrueHours value for this CalTimeOffConfiguration.
      Parameters:
        `accrueHours` -

    - #### getAccrualPeriod

          public int getAccrualPeriod()

      Gets the accrualPeriod value for this CalTimeOffConfiguration.
      Returns:
        accrualPeriod

    - #### setAccrualPeriod

          public void setAccrualPeriod(int accrualPeriod)

      Sets the accrualPeriod value for this CalTimeOffConfiguration.
      Parameters:
        `accrualPeriod` -

    - #### getAccrualPeriodsNumber

          public int getAccrualPeriodsNumber()

      Gets the accrualPeriodsNumber value for this CalTimeOffConfiguration.
      Returns:
        accrualPeriodsNumber

    - #### setAccrualPeriodsNumber

          public void setAccrualPeriodsNumber(int accrualPeriodsNumber)

      Sets the accrualPeriodsNumber value for this CalTimeOffConfiguration.
      Parameters:
        `accrualPeriodsNumber` -

    - #### getAccrualStartPeriod

          public int getAccrualStartPeriod()

      Gets the accrualStartPeriod value for this CalTimeOffConfiguration.
      Returns:
        accrualStartPeriod

    - #### setAccrualStartPeriod

          public void setAccrualStartPeriod(int accrualStartPeriod)

      Sets the accrualStartPeriod value for this CalTimeOffConfiguration.
      Parameters:
        `accrualStartPeriod` -

    - #### getAccrualStartPeriodsNumber

          public int getAccrualStartPeriodsNumber()

      Gets the accrualStartPeriodsNumber value for this CalTimeOffConfiguration.
      Returns:
        accrualStartPeriodsNumber

    - #### setAccrualStartPeriodsNumber

          public void setAccrualStartPeriodsNumber(int accrualStartPeriodsNumber)

      Sets the accrualStartPeriodsNumber value for this CalTimeOffConfiguration.
      Parameters:
        `accrualStartPeriodsNumber` -

    - #### isStartAccrualFromHiring

          public boolean isStartAccrualFromHiring()

      Gets the startAccrualFromHiring value for this CalTimeOffConfiguration.
      Returns:
        startAccrualFromHiring

    - #### setStartAccrualFromHiring

          public void setStartAccrualFromHiring(boolean startAccrualFromHiring)

      Sets the startAccrualFromHiring value for this CalTimeOffConfiguration.
      Parameters:
        `startAccrualFromHiring` -

    - #### getMaxCarriedOverHours

          public double getMaxCarriedOverHours()

      Gets the maxCarriedOverHours value for this CalTimeOffConfiguration.
      Returns:
        maxCarriedOverHours

    - #### setMaxCarriedOverHours

          public void setMaxCarriedOverHours(double maxCarriedOverHours)

      Sets the maxCarriedOverHours value for this CalTimeOffConfiguration.
      Parameters:
        `maxCarriedOverHours` -

    - #### getAdvanceHours

          public double getAdvanceHours()

      Gets the advanceHours value for this CalTimeOffConfiguration.
      Returns:
        advanceHours

    - #### setAdvanceHours

          public void setAdvanceHours(double advanceHours)

      Sets the advanceHours value for this CalTimeOffConfiguration.
      Parameters:
        `advanceHours` -

    - #### getBonusHours

          public double getBonusHours()

      Gets the bonusHours value for this CalTimeOffConfiguration.
      Returns:
        bonusHours

    - #### setBonusHours

          public void setBonusHours(double bonusHours)

      Sets the bonusHours value for this CalTimeOffConfiguration.
      Parameters:
        `bonusHours` -

    - #### getTimeOffDayHours

          public double getTimeOffDayHours()

      Gets the timeOffDayHours value for this CalTimeOffConfiguration.
      Returns:
        timeOffDayHours

    - #### setTimeOffDayHours

          public void setTimeOffDayHours(double timeOffDayHours)

      Sets the timeOffDayHours value for this CalTimeOffConfiguration.
      Parameters:
        `timeOffDayHours` -

    - #### getMaxBalanceHours

          public double getMaxBalanceHours()

      Gets the maxBalanceHours value for this CalTimeOffConfiguration.
      Returns:
        maxBalanceHours

    - #### setMaxBalanceHours

          public void setMaxBalanceHours(double maxBalanceHours)

      Sets the maxBalanceHours value for this CalTimeOffConfiguration.
      Parameters:
        `maxBalanceHours` -

    - #### isAutoGrant

          public boolean isAutoGrant()

      Gets the autoGrant value for this CalTimeOffConfiguration.
      Returns:
        autoGrant

    - #### setAutoGrant

          public void setAutoGrant(boolean autoGrant)

      Sets the autoGrant value for this CalTimeOffConfiguration.
      Parameters:
        `autoGrant` -

    - #### getMinPeriodsNumberForGrant

          public int getMinPeriodsNumberForGrant()

      Gets the minPeriodsNumberForGrant value for this CalTimeOffConfiguration.
      Returns:
        minPeriodsNumberForGrant

    - #### setMinPeriodsNumberForGrant

          public void setMinPeriodsNumberForGrant(int minPeriodsNumberForGrant)

      Sets the minPeriodsNumberForGrant value for this CalTimeOffConfiguration.
      Parameters:
        `minPeriodsNumberForGrant` -

    - #### getCarryOverDay

          public double getCarryOverDay()

      Gets the carryOverDay value for this CalTimeOffConfiguration.
      Returns:
        carryOverDay

    - #### setCarryOverDay

          public void setCarryOverDay(double carryOverDay)

      Sets the carryOverDay value for this CalTimeOffConfiguration.
      Parameters:
        `carryOverDay` -

    - #### withAgentID

          public CalTimeOffConfiguration withAgentID(int value)

    - #### withTimeOffTypeID

          public CalTimeOffConfiguration withTimeOffTypeID(int value)

    - #### withAutoGrant

          public CalTimeOffConfiguration withAutoGrant(boolean value)

    - #### withStartAccrualFromHiring

          public CalTimeOffConfiguration withStartAccrualFromHiring(boolean value)

    - #### withBonusHours

          public CalTimeOffConfiguration withBonusHours(double value)

    - #### withMaxCarriedOverHours

          public CalTimeOffConfiguration withMaxCarriedOverHours(double value)

    - #### withAccrueHours

          public CalTimeOffConfiguration withAccrueHours(double value)

    - #### withAdvanceHours

          public CalTimeOffConfiguration withAdvanceHours(double value)

    - #### withCarryOverDay

          public CalTimeOffConfiguration withCarryOverDay(double value)

    - #### withMaxBalanceHours

          public CalTimeOffConfiguration withMaxBalanceHours(double value)

    - #### withTimeOffDayHours

          public CalTimeOffConfiguration withTimeOffDayHours(double value)

    - #### withAccrualPeriod

          public CalTimeOffConfiguration withAccrualPeriod(int value)

    - #### withAccrualStartPeriod

          public CalTimeOffConfiguration withAccrualStartPeriod(int value)

    - #### withAccrualStartPeriodsNumber

          public CalTimeOffConfiguration withAccrualStartPeriodsNumber(int value)

    - #### withAccrualPeriodsNumber

          public CalTimeOffConfiguration withAccrualPeriodsNumber(int value)

    - #### withMinPeriodsNumberForGrant

          public CalTimeOffConfiguration withMinPeriodsNumberForGrant(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.